import request from '@/utils/request'

/**      ------------------cpuData-------------------        */
// 查询列表
export function listCpuInfo(data) {
  return request({
    url: '/rocketmq/cpuInfo/list',
    method: 'post',
    data: data
  })
}

// 查询详细
export function getCpuInfo(Id) {
  return request({
    url: '/rocketmq/cpuInfo/' + Id,
    method: 'get'
  })
}

// 新增
export function addCpuInfo(data) {
  return request({
    url: '/rocketmq/cpuInfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateCpuInfo(data) {
  return request({
    url: '/rocketmq/cpuInfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delCpuInfo(Ids) {
  return request({
    url: '/rocketmq/cpuInfo/' + Ids,
    method: 'delete'
  })
}
/**      ------------------磁盘数据diskData-------------------        */
// 查询列表
export function listDiskInfo(data) {
  return request({
    url: '/rocketmq/diskInfo/list',
    method: 'post',
    data: data
  })
}

// 查询详细
export function getDiskInfo(Id) {
  return request({
    url: '/rocketmq/diskInfo/' + Id,
    method: 'get'
  })
}

// 新增
export function addDiskInfo(data) {
  return request({
    url: '/rocketmq/diskInfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateDiskInfo(data) {
  return request({
    url: '/rocketmq/diskInfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delDiskInfo(Ids) {
  return request({
    url: '/rocketmq/diskInfo/' + Ids,
    method: 'delete'
  })
}
/**      ------------------容器数据dockerData-------------------        */
// 查询列表
export function listDockerInfo(data) {
  return request({
    url: '/rocketmq/dockerInfo/list',
    method: 'post',
    data: data
  })
}

// 查询详细
export function getDockerInfo(Id) {
  return request({
    url: '/rocketmq/dockerInfo/' + Id,
    method: 'get'
  })
}

// 新增
export function addDockerInfo(data) {
  return request({
    url: '/rocketmq/dockerInfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateDockerInfo(data) {
  return request({
    url: '/rocketmq/dockerInfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delDockerInfo(Ids) {
  return request({
    url: '/rocketmq/dockerInfo/' + Ids,
    method: 'delete'
  })
}
/**      ------------------内存信息数据memoryData-------------------        */
// 查询列表
export function listMemoryInfo(data) {
  return request({
    url: '/rocketmq/memoryInfo/list',
    method: 'post',
    data: data
  })
}

// 查询详细
export function getMemoryInfo(Id) {
  return request({
    url: '/rocketmq/memoryInfo/' + Id,
    method: 'get'
  })
}

// 新增
export function addMemoryInfo(data) {
  return request({
    url: '/rocketmq/memoryInfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateMemoryInfo(data) {
  return request({
    url: '/rocketmq/memoryInfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delMemoryInfo(Ids) {
  return request({
    url: '/rocketmq/memoryInfo/' + Ids,
    method: 'delete'
  })
}
/**      ------------------挂载点信息数据mountPointData-------------------        */
// 查询列表
export function listMountPointInfo(data) {
  return request({
    url: '/rocketmq/mountPointInfo/list',
    method: 'post',
    data: data
  })
}

// 查询详细
export function getMountPointInfo(Id) {
  return request({
    url: '/rocketmq/mountPointInfo/' + Id,
    method: 'get'
  })
}

// 新增
export function addMountPointInfo(data) {
  return request({
    url: '/rocketmq/mountPointInfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateMountPointInfo(data) {
  return request({
    url: '/rocketmq/mountPointInfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delMountPointInfo(Ids) {
  return request({
    url: '/rocketmq/mountPointInfo/' + Ids,
    method: 'delete'
  })
}
/**      ------------------系统信息数据systemData-------------------        */
// 查询列表
export function listSystemInfo(data) {
  return request({
    url: '/rocketmq/systemInfo/list',
    method: 'post',
    data: data
  })
}

// 查询详细
export function getSystemInfo(Id) {
  return request({
    url: '/rocketmq/systemInfo/' + Id,
    method: 'get'
  })
}

// 新增
export function addSystemInfo(data) {
  return request({
    url: '/rocketmq/systemInfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateSystemInfo(data) {
  return request({
    url: '/rocketmq/systemInfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delSystemInfo(Ids) {
  return request({
    url: '/rocketmq/systemInfo/' + Ids,
    method: 'delete'
  })
}
